import 'package:flutter/material.dart';

import '../../../flutter_toolbox.dart';

extension ImageUtil on String {
  String getSizedFormattedUrl(BuildContext context, {int width, int height}) {
    d('getSizedFormattedUrl ", width = [$width], height = [$height]"');
//    var devicePixelRatio = MediaQuery.of(context).devicePixelRatio;
    final pixelRatio = 1;
//    final pixelRatio = devicePixelRatio > 2 ? 2 : devicePixelRatio;

    String widthPram = '';
    String heightPram = '';
    if (width != null) {
      width = (width * pixelRatio).toInt();
      widthPram = '&w=$width';
    }
    if (height != null) {
      height = (height * pixelRatio).toInt();
      heightPram = '&h=$height';
    }

    return '${this}$widthPram$heightPram';
  }
}
